@import url('https://fonts.googleapis.com/css2?family=Heebo:wght@100..900&display=swap');

:root {
    --ff: 'Heebo';
    --colorp: rgb(249, 249, 249);
    --colorsec: rgb(12, 12, 12);
    --coloracc: #F4A07E;
}
*,
::before,
::after {
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
    overflow: auto;
}

body {
    margin: 0; 
    background-color: var(--colorp); 
    min-height: 100vh;
}

ul {
    margin: 0;
}

.whatsapp {
   position: fixed;
   bottom: 0;
   right: 0;
   opacity: 0; /* Start hidden */
   transition: opacity 1s ease-in-out;
   pointer-events: auto;
    max-width: 110px;
    max-height: 110px;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.whatsapp.visible {
   opacity: 0.1; /* Fade in when class is added */
}

.whatsapp:hover {
    opacity: 1;
}

.nav-wrapper {
    position: fixed;  /* Keeps navbar at the top */
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;  /* Full width */
    background-color: var(--colorp); /* Semi-transparent background */
    z-index: 1000; /* Ensures it stays above everything */
    transition: opacity 0.6s ease-in-out; 
    height: 135px;
}

.nav-list {
    display: flex;
    justify-content: space-evenly;
    gap: 1rem;
    padding-inline-start: 0;
    margin-left: 5px;
}

.nav-list a {
    text-decoration: none;
    color: var(--colorsec);
}

@keyframes scrollanimation {
0% {
    background: transparent;
}
50% {
    background: linear-gradient(to top, transparent, rgba(245, 243, 243, 0.6));
}
100% {
    background: linear-gradient(to top, transparent , rgba(206, 197, 197, 0.3));
}  
}

.nav-scrolled {
    animation: scrollanimation 100ms linear 1 forwards;
}

.nav-stopscroll {
    animation: scrollanimation 100ms linear 1 forwards;
    animation-direction: reverse;
}

.logonav {
    margin-top: 10px;
    height: 125px;
    width: 125px;
    border-radius: 10%;
    object-fit: cover;
    box-shadow: -1px -1px 3px var(--coloracc);
}
.list {
    font-size: 1.1rem;
    list-style: none;
    font-family: var(--ff);
    margin-top: 3.5rem;
    font-weight: 500;
}

/* carousel css */

/* Carousel Container */
.carousel-wrapper {
    margin-left: auto !important;
    margin-right: auto ! important;
    margin-top: 155px;
    position: relative;
    width: 100%; /* Adjust width for responsiveness */
    max-width: 850px; /* Set a limit */
    height: 300px; /* Fixed height for consistency */
    overflow: hidden; /* Hide overflowing images */
    box-shadow: 1px 1px 10px var(--colorsec);
}

/* Track (Holds the Images) */
.carousel-track {
    display: flex;
    width: 100%; /* This should match the wrapper */
    height: 100%;
    transition: transform 1s ease-in-out;
}

/* Images inside the Carousel */
.carousel-image {
    position: absolute; /* Ensures only one image is active */
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 1s ease-in-out; /* Smooth fade effect */
    opacity: 0; /* Hide all images by default */
}

.carousel-image:first-child {
    opacity: 1;
    position: relative;
    z-index: 1;
}

.buttons {
    margin: 0;
    padding: 0;
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
    z-index: 2;
    pointer-events: none;
}

.next, .previous {
    background: black;
    color: white;
    border: black;
    padding: 10px 15px;
    cursor: pointer;
    font-size: 10px;
    pointer-events: auto;
    border-radius: 10%;
}

/* img {
display: block;
max-width: 100%;

fixes issues with images responsiveness */

.about {
    font-family: var(--ff);
    display: flex;
    flex-wrap: wrap;
    margin-right: auto;
    margin-left: auto;
    justify-content: center;
    text-align: center;
    max-width: 800px;
    color: var(--colorsec);
    font-weight: 200;
    font-size: 1.2rem;
    padding: 2%;
}

.acc-text {
    color: var(--coloracc);
}

.list:hover {
    box-shadow: 2px 2px 5px var(--colorp);
}
.canva-wrapper {
    max-width: 500px;
    max-height: 500px;
}

.memories {
    width: 100%; /* Set a limit */
    height: 100%; /* Fixed height for consistency */
}

.contact-header {
    display: flex;
    justify-content: center;
    font-family: var(--ff);
    font-weight: 300;
    font-size: clamp(25px, 4vw, 40px);
}

.subform {
    display: flex;
    flex-direction: column; /* Stack fields vertically */
    align-items: center ;
    max-width: 350px;
    max-height: 230px;
    margin: 0 auto;
    background-color: var(--color);
    margin-bottom: 1rem;
    border: 5px double var(--colorsec);
    border-radius: 1rem;
}

.form-group {
    display: flex;
    align-items: center; /* Align label and input */
    justify-content: center;
    width: 100%;
    margin-top: 1rem;
}

.form-group label {
    width: 100px; /* Set fixed width */
    text-align: right; /* Align text to right for RTL */
    margin-right: 1rem;
    font-family: var(--ff);
    font-weight: 300;
    font-size: clamp(15px, 1vw , 25px);
}

.subform input {
    width: 300px; /* Ensure all inputs are same width */
    height: 1.5rem;
    margin-left: 1rem;
    margin-right: 0.2rem;
    background-color: var(--coloracc);
    border: 1px solid var(--colorsec);
}

.subform button {
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-family: var(--ff);
    width: 80px;
    background-color: var(--coloracc);
}

.line {
    max-width: 350px;
    height: 1px;
    background-color: var(--coloracc);
    margin: 0 auto;
    margin-bottom: 1rem;
}

.footer {
    display: flex;
    justify-content: center;
}

.footer p {
    font-family: var(--ff);
    font-size: clamp(10px, 2vw, 12px);
    color: var(--colorsec);
}

.portfolio-wrapper1 {
    margin-top: 135px;
}

.portfolio-wrapper {
    margin-top: 3rem;
    margin-bottom: 1.3rem;
}

.section-header {
    font-size: 30px;
    font-family: var(--ff);
    text-align: center;
    margin-top: 0;
}

.section-header::after {
    content: "";
    display: block;  /* Ensures it's visible */
    width: 150px; /* Adjust as needed */
    height: 3px;
    background-color: var(--coloracc); /* Ensure this variable exists */
    margin: 5px auto;  /* Centers horizontally */
    border-radius: 5px;  /* Optional: Rounded edges */
}

.images-wrapper {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
}

.images-wrapper img {
    width: 100%;
    max-width: 350px;
    max-height: 350px;
    object-fit: cover;
    box-shadow: 1px 1px 10px var(--colorsec);
    border-radius: 5px;
}

.credit-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 3px;
}

.credit {
    font-size: 3px;
    text-decoration: none;
    text-align: center;
    color: var(--colorsec);
}

.formpage {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 25vh;
    flex-direction: column;
}

.form-body {
    overflow: hidden;
}

.thankyou {
    font-family: var(--ff);
    font-size: 1.6rem;
    font-weight: 600;
    color: var(--colorsec);
}

.btn-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-link {
    font-family: var(--ff);
    font-size: 1rem;
    font-weight: 400;
    text-decoration: none;
    color: var(--colorsec);
    padding: 15px;
    margin-top: 0.7rem;
    background-color: var(--coloracc);
    border: 2px solid var(--colorsec);
    transition: background-color 800ms ease-in-out,
    color 800ms ease-in-out,
    border 800ms ease-in-out;
}

.btn-link:hover {
    background-color: var(--colorsec);
    color: var(--coloracc);
    border: 2px solid var(--colorp);
}

.mail-img {
    height: 150px;
    width: auto;
}


@media only screen and (max-width: 400px) {
.logonav {
    width: 100px;
    height: 100px;
}

.carousel-wrapper {
    margin-top: 125px;
}

.list {
    margin-top: 3rem;
}
.whatsapp {
    height: 70px;
    width: 70px;
}
    
}

/* Media query for Computer Screens and Tablets */

@media screen and (min-width: 1024px) and (min-height: 600px) {
    .carousel-wrapper {
        height: 500px;
    }
    .subform {
        max-width: 450px;
    }
}
